<div class="text-center login-box">
  <form class="form" name="form" ng-submit="vm.login(form)" novalidate>

    <div class="form-group">
      <label>Haushalt</label>

      <input type="text" name="name" class="form-control" ng-model="vm.user.name" required>
    </div>

    <div class="form-group">
      <label>Password</label>

      <input type="password" name="password" class="form-control" ng-model="vm.user.password" required>
    </div>

    <div class="form-group has-error">
      <p class="help-block" ng-show="form.name.$error.required && form.password.$error.required && vm.submitted">
        Bitte Benutzername und Kennwort eingeben.
      </p>
      <p class="help-block" ng-show="form.name.$error.name && vm.submitted">
        Bitte Benutzername eingeben.
      </p>

      <p class="help-block">{{ vm.errors.other }}</p>
    </div>

    <div>
      <button class="btn btn-inverse btn-lg btn-login pull-right" type="submit">
        <i class="fa fa-sign-in"></i>
      </button>
    </div>

  </form>
</div>